[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TColumn.GetDefaultAlignment

Gets the default alignment for the Field in the column definition.

## Declaration

Source position: dbgrids.pas line 271

`protected function TColumn.GetDefaultAlignment: TAlignment; override;`

## Function result

Alignment for the Field and/or editor style.

## Description

GetDefaultAlignment is an overridden TAlignment function that gets the default alignment for the Field in the column definition. GetDefaultAlignment gets the button style used by the default editor for Field. For check box and button-style editors, center alignment is used. Otherwise, the Alignment in Field is used. If Field has not been assigned, left alignment is used.